DWC Version compatibility?



  • I looked through the forums and Github locations, but didn't see anything that fit my question.

    Is there any sort of compatibility matrix for the numerous versions of DWC and the corresponding RepRapFirmware versions?

    As best as I can tell, there are versions posted with firmware updates, but even that doesn't explicitly day you can't use version 2.0.7 with RepRapFirmware 1.26.1, is there any such compatibility matrix somewhere that says what versions can be matched together?

    Just trying to avoid have to rebuild the SD card when I upload a combo that doesn't work.


  • Moderator

    I don't think you'll be able to get a full matrix because the amount of testing required for that would be substantial. You're best off using the DWC version released with the firmware version since that's what it's been tested with.


  • administrators

    If you look in the RRF release notes, you will find the recommended compatible version of DWC for each release. Other versions may work, but that is not guaranteed.


Log in to reply